﻿@font-face {
  font-family: "Panefresco 250wt";
  src: url("fonts/Panefresco250wtRegular.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Panefresco 250wt";
  src: url("fonts/Panefresco250wtRegular.eot") format("eot");
  font-weight: normal;
  font-style: normal;
}

body {
  min-width: 200px;
  margin: 0px;       
  overflow-x: hidden; 
  font-size: 16px;
  font-family: "Open Sans","Segoe UI","Segoe UI Web Light","Segoe UI Light","Segoe UI Web Regular","Helvetica";
  font-weight: normal;  
  background: #1d2a37 url('images/main_header_noise_background.png') center;
}

img {
  max-width: 100%;
  height: auto;
  border: none;
}

.wrapper {
  width: 95%;
  max-width: 960px;
  height: 100%;
  margin: 0px auto;
}

#clear {
  clear: both;
}

/* Animation website */

@keyframes animation_website {
  from { margin-left: -460px; }
  to   { margin-left: 0px; }
}

@-webkit-keyframes animation_website {
  from { margin-left: -460px; }
  to   { margin-left: 0px; }
}

@-moz-keyframes animation_website {
  from { margin-left: -460px; }
  to   { margin-left: 0px; }
}

@-ms-keyframes animation_website {
  from { margin-left: -460px; }
  to   { margin-left: 0px; }
}

@-o-keyframes animation_website {
  from { margin-left: -460px; }
  to   { margin-left: 0px; }
}

/* Animation none */

@keyframes animation_none {
  from { opacity: 0; }
  to   { opacity: 0; }
}

@-webkit-keyframes animation_none {
  from { opacity: 0; }
  to   { opacity: 0; }
}

@-moz-keyframes animation_none {
  from { opacity: 0; }
  to   { opacity: 0; }
}

@-ms-keyframes animation_none {
  from { opacity: 0; }
  to   { opacity: 0; }
}

@-o-keyframes animation_none {
  from { opacity: 0; }
  to   { opacity: 0; }
}

/* Animation opacity */

@keyframes animation_opacity {
  from { opacity: 0; }
  to   { opacity: 1; }
}

@-webkit-keyframes animation_opacity {
  from { opacity: 0; }
  to   { opacity: 1; }
}

@-moz-keyframes animation_opacity {
  from { opacity: 0; }
  to   { opacity: 1; }
}

@-ms-keyframes animation_opacity {
  from { opacity: 0; }
  to   { opacity: 1; }
}

@-o-keyframes animation_opacity {
  from { opacity: 0; }
  to   { opacity: 1; }
}

/* Animation text */

@keyframes animation_text {
  from { margin-left: 460px; }
  to   { margin-top: 0px; }
}

@-webkit-keyframes animation_text {
  from { margin-left: 460px; }
  to   { margin-top: 0px; }
}

@-moz-keyframes animation_text {
  from { margin-left: 460px; }
  to   { margin-top: 0px; }
}

@-ms-keyframes animation_text {
  from { margin-left: 460px; }
  to   { margin-top: 0px; }
}

@-o-keyframes animation_text {
  from { margin-left: 460px; }
  to   { margin-top: 0px; }
}

/* Animation editor */

@keyframes animation_editor {
  from { margin-top: -260px; }
  to   { margin-top: 0px; }
}

@-webkit-keyframes animation_editor {
  from { margin-top: -260px; }
  to   { margin-top: 0px; }
}

@-moz-keyframes animation_editor {
  from { margin-top: -260px; }
  to   { margin-top: 0px; }
}

@-ms-keyframes animation_editor {
  from { margin-top: -260px; }
  to   { margin-top: 0px; }
}

@-o-keyframes animation_editor {
  from { margin-top: -260px; }
  to   { margin-top: 0px; }
}

a {
  text-decoration: none;
}

h1, h2, h3 {
  margin: 0px;
  font-weight: normal;
}

h1 {
  color: #1ea1d8;
  font-size: 2em;
  font-family: "Panefresco 250wt";
  text-align: center;
  text-shadow: 1px 1px 1px rgba(255, 255, 255, 0.75);
}

h2 {
  padding-top: 34px;
  padding-left: 120px; 
  color: black;
  font-size: 1.75em;
  font-family: "Panefresco 250wt";
  text-align: left;
}

h3 {
  color: black;
  font-size: 1.875em;
  font-family: "Open Sans","Segoe UI","Segoe UI Web Light","Segoe UI Light","Segoe UI Web Regular","Helvetica";
  text-align: left;  
}

#main_header {
  min-height: 86px;
  border-bottom: 1px solid #c3c5c6;
  background: #1d2a37 url('images/main_header_noise_background.png') center;
}

#logo {
  width: 202px;
  height: 66px;
  float: left;
  padding: 10px;
}

#logo:hover {
  background-color: rgba(32, 169, 219, 0.1);
}

#logo:active {
  background-color: rgba(32, 169, 219, 0.8);
}

#main_nav {
  width: 450px;
  height: 100%;
  float: right;
  margin: 29px 50px 0px 0px;
  font-size: 1.625em;
  font-weight: 300;
  text-align: center;
}

.main_nav_line {
  border-left: 1px solid #20a9db;
}

ul { 
  margin: 0px;
  padding: 0px;
  list-style-type: none;
}

#main_nav ul li {
  display: inline;
}

#main_nav ul li a {
  padding: 4px 16px 4px 16px;
}

#main_nav ul li a:link {
  color: white;
}

#main_nav ul li a:visited {
  color: white;
}

#main_nav ul li a:hover {   
  box-shadow: inset 0 -6px 0 0px #1a95c1;
  -webkit-box-shadow: inset 0 -6px 0 0px #1a95c1;
  -moz-box-shadow: inset 0 -6px 0 0px #1a95c1;
  -ms-box-shadow: inset 0 -6px 0 0px #1a95c1;
  -o-box-shadow: inset 0 -6px 0 0px #1a95c1;  
  background-color: #20a9db;
  transition: box-shadow 0.1s;
  -webkit-transition: -webkit-box-shadow 0.1s;
  -moz-transition: -moz-box-shadow 0.1s;
  -ms-transition: -ms-box-shadow 0.1s;
  -o-transition: -o-box-shadow 0.1s;
}

#main_nav ul li a:active { 
  box-shadow: inset 0px 4px 3px 3px #006b91;   
  -webkit-box-shadow: inset 0px 4px 3px 3px #006b91;
  -moz-box-shadow: inset 0px 4px 3px 3px #006b91;
  -ms-box-shadow: inset 0px 4px 3px 3px #006b91;
  -o-box-shadow: inset 0px 4px 3px 3px #006b91; 
  background-color: #1a95c1;               
}

#main_slideshow {
  width: 100%;
  height: 100%;
  padding: 39px 0px;
  box-shadow: inset 0px -2px 4px rgba(0,0,0,.2);
  -webkit-box-shadow: inset 0px -2px 4px rgba(0,0,0,.2);
  -moz-box-shadow: inset 0px -2px 4px rgba(0,0,0,.2);
  -ms-box-shadow: inset 0px -2px 4px rgba(0,0,0,.2);
  -o-box-shadow: inset 0px -2px 4px rgba(0,0,0,.2);
  background-color: #20b3e9;
  background-image: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDE5MjcgNDU2IiBwcmVzZXJ2ZUFzcGVjdFJhdGlvPSJub25lIj48bGluZWFyR3JhZGllbnQgaWQ9ImhhdDAiIGdyYWRpZW50VW5pdHM9Im9iamVjdEJvdW5kaW5nQm94IiB4MT0iLTI1JSIgeTE9IjUwJSIgeDI9IjEyNSUiIHkyPSI1MCUiPgo8c3RvcCBvZmZzZXQ9IjAlIiBzdG9wLWNvbG9yPSIjMDAwIiBzdG9wLW9wYWNpdHk9IjAuMSIvPgo8c3RvcCBvZmZzZXQ9IjE4JSIgc3RvcC1jb2xvcj0iIzAwMCIgc3RvcC1vcGFjaXR5PSIwLjEiLz4KPHN0b3Agb2Zmc2V0PSI1MCUiIHN0b3AtY29sb3I9IiMwMDAiIHN0b3Atb3BhY2l0eT0iMCIvPgo8c3RvcCBvZmZzZXQ9IjgyJSIgc3RvcC1jb2xvcj0iIzAwMCIgc3RvcC1vcGFjaXR5PSIwLjEiLz4KPHN0b3Agb2Zmc2V0PSIxMDAlIiBzdG9wLWNvbG9yPSIjMDAwIiBzdG9wLW9wYWNpdHk9IjAuMSIvPgo8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiMxZDI5MzciIHN0b3Atb3BhY2l0eT0iMC4xIi8+CiAgIDwvbGluZWFyR3JhZGllbnQ+Cgo8cmVjdCB4PSIwIiB5PSIwIiB3aWR0aD0iMTkyNyIgaGVpZ2h0PSI0NTYiIGZpbGw9InVybCgjaGF0MCkiIC8+Cjwvc3ZnPg==); /* gradient overlay */
  background-image: -moz-linear-gradient(left, rgba(0,0,0,.1) -25%, rgba(0,0,0,.1) 2.65%, rgba(0,0,0,0) 49.82%, rgba(0,0,0,.1) 97.35%, rgba(0,0,0,.1) 125%, rgba(29,42,55,.1) 125%);
  background-image: -o-linear-gradient(left, rgba(0,0,0,.1) -25%, rgba(0,0,0,.1) 2.65%, rgba(0,0,0,0) 49.82%, rgba(0,0,0,.1) 97.35%, rgba(0,0,0,.1) 125%, rgba(29,42,55,.1) 125%);
  background-image: -webkit-linear-gradient(left, rgba(0,0,0,.1) -25%, rgba(0,0,0,.1) 2.65%, rgba(0,0,0,0) 49.82%, rgba(0,0,0,.1) 97.35%, rgba(0,0,0,.1) 125%, rgba(29,42,55,.1) 125%);
  background-image: linear-gradient(left, rgba(0,0,0,.1) -25%, rgba(0,0,0,.1) 2.65%, rgba(0,0,0,0) 49.82%, rgba(0,0,0,.1) 97.35%, rgba(0,0,0,.1) 125%, rgba(29,42,55,.1) 125%);
  background: url('images/main_slideshow_background.png') center;
}

#main_slideshow .slide1 {
  width: 860px;
  height: 372px;
  margin: 0px auto;
}

#main_slideshow .slide1 .slide1_mini {
  display: none;
}

#main_slideshow .img_website {
  width: 550px;
  height: 372px;
  float: left;
  margin: 0px auto;
  animation: animation_website 1s cubic-bezier(1.000, -0.400, 0.455, 1.215);
  -webkit-animation: animation_website 1s cubic-bezier(1.000, -0.400, 0.455, 1.215);
  -moz-animation: animation_website 1s cubic-bezier(1.000, -0.400, 0.455, 1.215);
  -ms-animation: animation_website 1s cubic-bezier(1.000, -0.400, 0.455, 1.215);
  -o-animation: animation_website 1s cubic-bezier(1.000, -0.400, 0.455, 1.215);
}

#main_slideshow .slide1_header {
  width: 550px;
  height: 60px;
  float: left;
  background: url('images/slide1.png') 0px 0px;
  animation: animation_opacity 0.1s linear;
  -webkit-animation: animation_opacity 0.1s linear;
  -moz-animation: animation_opacity 0.1s linear;
  -ms-animation: animation_opacity 0.1s linear;
  -o-animation: animation_opacity 0.1s linear;
}

#main_slideshow .slide1_nav {
  width: 120px;
  height: 230px;
  margin-top: 10px;
  float: left;
  background: url('images/slide1.png') 0px -70px;
  animation: animation_opacity 0.1s linear;
  -webkit-animation: animation_opacity 0.2s linear;
  -moz-animation: animation_opacity 0.2s linear;
  -ms-animation: animation_opacity 0.2s linear;
  -o-animation: animation_opacity 0.2s linear;
}

#main_slideshow .slide1_content {
  width: 290px;
  height: 230px;
  margin-top: 10px;
  margin-left: 10px;
  margin-right: 10px;
  float: left;
  background: url('images/slide1.png') -130px -70px;
  animation: animation_opacity 0.1s linear;
  -webkit-animation: animation_opacity 0.3s linear;
  -moz-animation: animation_opacity 0.3s linear;
  -ms-animation: animation_opacity 0.3s linear;
  -o-animation: animation_opacity 0.3s linear;
}

#main_slideshow .slide1_aside {
  width: 120px;
  height: 230px;
  margin-top: 10px;
  float: left;
  background: url('images/slide1.png') -430px -70px;
  animation: animation_opacity 0.4s linear;
  -webkit-animation: animation_opacity 0.4s linear;
  -moz-animation: animation_opacity 0.4s linear;
  -ms-animation: animation_opacity 0.4s linear;
  -o-animation: animation_opacity 0.4s linear;
}

#main_slideshow .slide1_footer {
  width: 550px;
  height: 60px;
  margin-top: 10px;
  float: left;
  background: url('images/slide1.png') 0px -310px;
  animation: animation_opacity 0.5s linear;
  -webkit-animation: animation_opacity 0.5s linear;
  -moz-animation: animation_opacity 0.5s linear;
  -ms-animation: animation_opacity 0.5s linear;
  -o-animation: animation_opacity 0.5s linear;
}

.slide1_website_text {
  position: absolute;
  width: 550px;
  height: 372px;
  background-image: url('images/slide1_text.png'); 
  animation: animation_none 0.5s, animation_text 1s 0.5s cubic-bezier(0.770, 0.000, 0.175, 1.000), animation_opacity 2s 0.5s; 
  -webkit-animation: animation_none 0.5s, animation_text 1s 0.5s cubic-bezier(0.770, 0.000, 0.175, 1.000), animation_opacity 2s 0.5s; 
  -moz-animation: animation_none 0.5s, animation_text 1s 0.5s cubic-bezier(0.770, 0.000, 0.175, 1.000), animation_opacity 2s 0.5s; 
  -ms-animation: animation_none 0.5s, animation_text 1s 0.5s cubic-bezier(0.770, 0.000, 0.175, 1.000), animation_opacity 2s 0.5s; 
  -o-animation: animation_none 0.5s, animation_text 1s 0.5s cubic-bezier(0.770, 0.000, 0.175, 1.000), animation_opacity 2s 0.5s; 
}

#main_slideshow .img_editor {
  width: 280px;
  height: 372px;
  float: right;
  background: url('images/slide1.png') -580px 0px;
  animation: animation_opacity 1s, animation_editor 1s cubic-bezier(1, -.400, .5, 1.4);
  -webkit-animation: animation_opacity 1s, animation_editor 1s cubic-bezier(1, -.400, .5, 1.4);
  -moz-animation: animation_opacity 1s, animation_editor 1s cubic-bezier(1, -.400, .5, 1.4); 
  -ms-animation: animation_opacity 1s, animation_editor 1s cubic-bezier(1, -.400, .5, 1.4);
  -o-animation: animation_opacity 1s, animation_editor 1s cubic-bezier(1, -.400, .5, 1.4);
}

#main_content {
  width: 100%;
  background: #e0e9ee url('images/main_background.png') center;
}

.sluzby {
  padding: 35px 0px 0px 0px;
}

.arrow_up {
  width: 0px; 
  height: 0px;
  border-left: 30px solid transparent;
  border-right: 30px solid transparent;
  border-bottom: 30px solid white;
  margin: 0px auto;
}

.rect {
  width: 100%;
  padding: 25px 0px 25px 0px;
  background-color: white;
  box-shadow: 0px 1px 1px rgba(50, 50, 50, 0.25);
  -webkit-box-shadow: 0px 1px 1px rgba(50, 50, 50, 0.25);
  -moz-box-shadow: 0px 1px 1px rgba(50, 50, 50, 0.25);
  -ms-box-shadow: 0px 1px 1px rgba(50, 50, 50, 0.25);
  -o-box-shadow: 0px 1px 1px rgba(50, 50, 50, 0.25);
}

.sluzby .rect div {
  padding: 5px 20px 5px 20px;
  text-align: left;
  display: inline-block;
}

.sluzby .rect div a {
  color: black;
}

.sluzby .rect div a:visited {
  color: black;
}

.sluzby .rect div a:hover {
  transition: color 0.1s;
  -webkit-transition: color 0.1s;
  -moz-transition: color 0.1s;
  -ms-transition: color 0.1s;
  -o-transition: color 0.1s;
  padding-top: 1px;
  color: #11b7f0;
}

.sluzby .rect div a:active {
  color: #0d6787;
  text-decoration: underline;
}

.sluzby .rect .fajfka {
  width: 100px;
  height: 101px;
  float: left;
  padding: 0px;
  background: url('images/fajfka.png') 
}

.sluzby .rect .fajfka_mala {
  width: 100px;
  height: 101px;
  float: left;
  padding: 0px;
  background: url('images/fajfka_mala.png') 
}

.tvorba_webu, .graficke_prace, .opravy, .vyuka, .o_mne {
  padding: 35px 0px 35px 0px;
}

.bg_graficke_prace {
  background: url('images/bg_gp.jpg') 50% 0 fixed;
}

.graficke_prace, .vyuka {
  color: white;
}

.graficke_prace h3 {
  color: white;
}

.graficke_prace img {
  float: left;
  padding: 25px 28px 25px 40px;
}

.graficke_prace span {
  font-size: 1.125em;
  vertical-align: 50%;
}

.cols {
  width: 446px;
  float: left;
  margin: 10px 0px 0px 0px;
}

.f_column, .s_column {
  float: left;
  padding: 0px;
  margin: 20px 0px 0px 50px;
}

.f_column {
  width: 110px;
}

.s_column {
  width: 236px;
}

.bg_vyuka {
  background: url('images/bg_vy.jpg') 50% 0 fixed;
}

.vyuka h3 {
  color: white;
}

.vyuka img {
  float: right;
  padding: 15px;
}

.o_mne .rect {
  background: white url('images/silueta.png') right bottom no-repeat;
}

.o_mne img {
  position: relative;
  float: right;
  top: -191px;
  left: 25px;
}

.o_mne a {
  color: black;
  font-weight: normal;
}

.o_mne a:visited {
  color: black;
}

.o_mne a:hover {
  text-decoration: underline;
}

.o_mne a:active {
  font-weight: bold;
}

.rect p {
  padding: 10px 20px 10px 20px;
}

#main_footer {
  width: 100%;
  height: 100%;
  padding-bottom: 10px;
  background: #1d2a37 url('images/main_header_noise_background.png') center;
  box-shadow: inset 0px 10px 10px -5px rgba(0,0,0,.50);
  -webkit-box-shadow: inset 0px 10px 10px -5px rgba(0,0,0,.50);
  -moz-box-shadow: inset 0px 10px 10px -5px rgba(0,0,0,.50);
  -ms-box-shadow: inset 0px 10px 10px -5px rgba(0,0,0,.50);
  -o-box-shadow: inset 0px 10px 10px -5px rgba(0,0,0,.50);
}

#main_footer ul {
  min-height: 165px;
  background: url("images/footer.png") top right no-repeat; 
}

#main_footer li {
  font-size: 1.5em;
  font-weight: 200;
  padding: 3px;
}

strong {
  font-weight: normal;
}

strike {
  text-decoration: line-through;
}

#main_footer a {
  color: white;
}

#main_footer a:visited {
  color: white;
}

#main_footer a:hover {
  text-decoration: underline;
}

#main_footer a:active, strong:active {
  font-weight: bold;  
}

#main_footer img {
  float: right;
}

#main_footer p {
  color: white;
  text-align: center;
  margin: 0px;
}

.scroll_up {

    -webkit-transition: right 0.5s, bottom 0.5s;
    position: fixed;
    width: 70px;
    height: 70px;
    display: none;
    opacity: 0.7;
    bottom: 50px;
    right: 100px;
    background: url('images/scroll_up.png');
}

.scroll_up:hover {
    opacity: 1;
}

.scroll_up:active {
    opacity: 0.8;
}

@media (max-width: 1038px) {
  #o_mne img {
    display: none;
  }

  .scroll_up {
    right: 10px;
    bottom: 25px;
  }
}

@media (max-width: 940px) {
  #main_slideshow .slide1 .img_editor {
    display: none;
  }  

  #main_slideshow .slide1 {
    width: 550px;
    transition: width 0.2s;
    -webkit-transition: width 0.2s;
    -moz-transition: width 0.2s;
    -ms-transition: width 0.2s;
    -o-transition: width 0.2s;
  }

  .sluzby .rect div {
    display: table;
    width: 480px;
    margin: 0px auto;
  }

  #res_mala {
    background: url('images/fajfka_mala.png');
  }

  #res_velka {
    background: url('images/fajfka.png');
  }

  .graficke_prace img, .cols {
    float: none;
    margin: 0px auto;
  }

  .graficke_prace img {
    display: block;
    padding: 25px 50px 25px 50px;
  }
}

@media (max-width: 777px) {
  #main_nav {
    position: absolute;
    width: 450px;
    top: 30px;
    left: 240px;
    margin: 0px;
  }
}

@media (max-width: 710px) {
  #main_header img {
    display: block;
    float: none;
    margin: 10px auto;
  }

  #main_nav {
    position: static;
    width: 100%;
    float: none;
    margin: 10px auto;
  }
  
  .slide1_header, .slide1_nav, .slide1_content, .slide1_aside, .slide1_footer {
    display: none;
  }

  #main_slideshow .slide1 {
    max-width: 100%;
    height: auto;
  }

  #main_slideshow .img_website {
    display: none;
    width: 100%;
    max-width: 550px;
    max-height: 372px;
    background: url("images/slide1_mini.png") no-repeat;
    background-size: 100%;
    float: none;
  }

  #main_slideshow .slide1 .slide1_mini {
    display: inline-block;
}

  #main_slideshow .slide1_website_text, #o_mne img {
    display: none;
  }
}

@media (max-width: 550px) {
  #main_nav {
    width: 100%;
    font-size: 1em;
  }

  .sluzby .rect div {
    width: 100%;
    padding: 20px 0px;
    text-align: center;
  }

  h2 {
    padding: 0px 5px;
    text-align: center;
  }

  .sluzby .rect .fajfka, .sluzby .rect .fajfka_mala, .sluzby .rect #res_velka, .sluzby .rect #res_mala {
    float: none;
  }

  .graficke_prace img {
    padding: 0px;
  }

  .cols {
    width: auto;
    display: table;
    margin: 25px auto 0px auto; 
  }

  .f_column, .s_column {
    width: auto;
    float: none;
    margin: 0px;
  }
}

@media (max-width: 355px) {
  #logo {
    max-width: 90%;
    height: auto;
  }

  #main_nav ul li {
    font-size: 1.5em;
    display: list-item;
    padding: 5px;
  }

  .main_nav_line {
    border-left: 0px;
  }

  .vyuka img {
    float: none;
    padding: 15px 0px;
  }

  #main_footer ul li {
    text-align: center;
    font-size: 1.2em;
    margin-left: 0px !important;
  } 

  #main_footer p {
    font-size: 0.8em;
  } 
}